<?php

namespace App\Livewire\Search\Advance;

use Livewire\Attributes\On;
use Livewire\Component;

class Tableresult extends Component
{
    public $humans='';
    public $search_count=0;
    /**
     * @var mixed|null
     */
    private mixed $serial_number;

    public function mount($humans = null, $serial_number=null,$search_count=null)
    {
        $this->humans=$humans;
        $this->serial_number = $serial_number;
        $this->search_count = $search_count;
    }
    #[On('viewAdvResults')]
    public function viewResults($humans=null,$search_count=null)
    {
        $this->humans = $humans;
        $this->search_count = $search_count;
    }

    public function render()
    {
        return view('livewire.search.advance.tableresult');
    }
}
